import Foundation
import NotificationCenter


class NotificationHelper: NSObject,  UNUserNotificationCenterDelegate{
    
    
    public static let shared = NotificationHelper()
    
    let notifCenter = UNUserNotificationCenter.current()

    override init() {
        super.init()
        self.requestAuthForLocalNotifications()
    }
    
    func requestAuthForLocalNotifications() {
          notifCenter.delegate = self
          notifCenter.requestAuthorization(options: [.alert, .sound]) { (granted, error) in
              if error != nil {
                  // Something went wrong
              }
          }
      }
    private var lastMessage = ""
    func showNotification(message: String) {
        if(lastMessage == message) {return}
        lastMessage = message
        let content = UNMutableNotificationContent()
        content.title = "Scanner Alert"
        content.body = message
        content.sound = UNNotificationSound.default

        let trigger = UNTimeIntervalNotificationTrigger.init(timeInterval: 1, repeats: false)
        let request = UNNotificationRequest.init(identifier: message, content: content, trigger: trigger)
        let center = UNUserNotificationCenter.current()
        center.add(request)
    }
}
